
Redmine - Defect #23357

Lose hostname/path in news email notification including wiki

2016-07-18 12:53 - Sebastian Paluch

Status: Confirmed Start date:  

Priority: High Due date:  

Assignee:  % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 3.3.6

Description

It seems that Redmine version 3.3.0 has broken links generation in email notifications for news (at least), with 3.2.0 noone was

reporting such problem.

I have a news publish that includes following description:

New software version#1267 has been released. It is ...

{{include(myproject:100-0_Alpha_2_(rev_93029))}}

h3. Feel free to report new issues

* "myproject":/redmine/projects/myproject/issues/new

In email notification

the first link to version#1267 has been generated correctly,

the last one is missing server name that should be added automatically:

http://redmine/projects/myproject/issues/new but should be http://host/redmine/projects/myproject/issues/new

Included wiki (myproject:100-0_Alpha_2_(rev_93029)) is in different project then the news and includes:

h3. Requirements

* Service Pack version#1272 or newer

{{include(myproject:Update_Instruction)}}

...

In email notification

the link to version#1272 has been generated wrong, it is missing server name:

http://redmine/versions/1272 but should be http://host/redmine/versions/1272

Included wiki (myproject:Update_Instruction) is in different project then the news and includes:

h3. Download

All pre-production software releases are available on the "shared network location":file://host\fu

ll\path\to\directory. 

...

In email notification

the link to "shared network location" has been generated wrong, all "\" has been replaced with a code %5:

file://\\host%5full%5path%5to%5directory

the link does not work and for some reason, it is not even possible to copy it from Outlook into clipboard

Environment:

  Redmine version                3.3.0.stable
  Ruby version                   2.1.8-p440 (2015-12-16) [i386-mingw32]

  Rails version                  4.2.6

  Environment                    production

  Database adapter               Mysql2

SCM:

  Subversion                     1.8.11

  Git                            2.7.4

  Filesystem                     

Redmine plugins:

  computed_custom_field          0.0.2

  inside_avatar                  1.0.2

  issue_filters                  1.0.1

  redmine_agile                  1.4.1-3

  redmine_checklists             3.1.1-1

  redmine_custom_columns         1.1.0

  redmine_favorite_projects      2.0.2-2

  redmine_version_fixed_issues   1.0.1

  sidebar_hide                   0.0.7

History

#1 - 2016-07-18 14:06 - Toshi MARUYAMA

- Status changed from New to Needs feedback

Try #20192#note-4.

#2 - 2016-07-18 14:14 - Sebastian Paluch

Toshi MARUYAMA wrote:

Try #20192#note-4.

 If I change the "Host name and path" (in application settings / General tab) to the host name only e.g. host, then all links are wrong. Correct setting is

host/redmine.

Also, please note, that some links are OK, and some are NOT OK.

#3 - 2016-12-14 18:57 - Sebastian Paluch

Any chance to take a look on this?

#4 - 2017-12-19 21:25 - Sebastian Paluch

Can I provide more information to speed this up?

#5 - 2017-12-29 17:37 - Toshi MARUYAMA

Sebastian Paluch wrote:

Toshi MARUYAMA wrote:

Try #20192#note-4.

 If I change the "Host name and path" (in application settings / General tab) to the host name only e.g. host, then all links are wrong. Correct

setting is host/redmine.

Also, please note, that some links are OK, and some are NOT OK.

 What is OK and NOT OK?

#6 - 2018-01-03 10:18 - Sebastian Paluch

Toshi MARUYAMA wrote:

What is OK and NOT OK?

 I have described in details what is OK and what is NOT OK in the issue description.
#7 - 2018-02-01 15:33 - Toshi MARUYAMA

- Subject changed from Broken links in email notification to Loose hostname/path in news email notification including wiki

- Status changed from Needs feedback to Confirmed

- Affected version changed from 3.3.0 to 3.3.6

#8 - 2018-02-01 15:38 - Toshi MARUYAMA

- Subject changed from Loose hostname/path in news email notification including wiki to Lose hostname/path in news email notification including wiki
